import { Application } from 'express';
import login from '../middlewares/auth/login';
import complete from '../middlewares/auth/complete';
import logout from '../middlewares/auth/logout';
import authenticated from '../middlewares/auth/authenticated'

 const authRout = (app: Application): void => {
    app.get('/login', login() );

    app.get('/complete', complete() );

    app.get('/logout', authenticated(), logout() );
}

export default authRout;